Package org.h2.util

# Class ThreadDeadlockDetector

java.lang.Object
org.h2.util.ThreadDeadlockDetector

public class ThreadDeadlockDetector extends Object
Detects deadlocks between threads. Prints out data in the same format as the CTRL-BREAK handler, but includes information about table locks.

## Method Summary

Modifier and Type
Method
Description
`static void`
`dumpAllThreadsAndLocks(String msg)`
Dump all deadlocks (if any).
`static void`
`dumpAllThreadsAndLocks(String msg, PrintStream out)`
Dump all deadlocks (if any).
`static void`
`init()`
Initialize the detector.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### init

public static void init()
Initialize the detector.

### dumpAllThreadsAndLocks

public static void dumpAllThreadsAndLocks(String msg)
Dump all deadlocks (if any).

Parameters:
  `msg` - the message

### dumpAllThreadsAndLocks

public static void dumpAllThreadsAndLocks(String msg, PrintStream out)
Dump all deadlocks (if any).

Parameters:
  `msg` - the message
  `out` - the output